
locals {
  allocation_method = var.allocation_method
  disable_outbound_snat = var.disable_outbound_snat
  edge_zone = var.edge_zone
  frontend_ip_zones = var.frontend_ip_zones
  frontend_name = var.frontend_name
  frontend_private_ip_address = var.frontend_private_ip_address
  frontend_private_ip_address_allocation = var.frontend_private_ip_address_allocation
  frontend_private_ip_address_version = var.frontend_private_ip_address_version
  frontend_subnet_id = var.frontend_subnet_id
  frontend_subnet_name = var.frontend_subnet_name
  frontend_vnet_name = var.frontend_vnet_name
  lb_floating_ip_enabled = var.lb_floating_ip_enabled
  lb_port = var.lb_port
  lb_probe = var.lb_probe
  lb_probe_interval = var.lb_probe_interval
  lb_probe_unhealthy_threshold = var.lb_probe_unhealthy_threshold
  lb_sku = var.lb_sku
  lb_sku_tier = var.lb_sku_tier
  location = var.location
  name = var.name
  pip_ddos_protection_mode = var.pip_ddos_protection_mode
  pip_ddos_protection_plan_id = var.pip_ddos_protection_plan_id
  pip_domain_name_label = var.pip_domain_name_label
  pip_idle_timeout_in_minutes = var.pip_idle_timeout_in_minutes
  pip_ip_tags = var.pip_ip_tags
  pip_ip_version = var.pip_ip_version
  pip_name = var.pip_name
  pip_public_ip_prefix_id = var.pip_public_ip_prefix_id
  pip_reverse_fqdn = var.pip_reverse_fqdn
  pip_sku = var.pip_sku
  pip_sku_tier = var.pip_sku_tier
  pip_zones = var.pip_zones
  prefix = var.prefix
  remote_port = var.remote_port
  resource_group_name = var.resource_group_name
  tags = var.tags
  tracing_tags_enabled = var.tracing_tags_enabled
  tracing_tags_prefix = var.tracing_tags_prefix
  type = var.type
}
